.gl-tooltip-box {
  display: inline-block;
}
.gl-tooltip {
  position: absolute;
  z-index: 100;
  background: #666;
  color: #fff;
  padding: 8px 12px;
  line-height: 20px;
  border-radius: 5px;
  animation: gl-tooltip 1s;
  box-sizing: border-box;
  word-break: break-all;
  /*处理下箭头方向*/    
}

.gl-tooltip:before {
  content: '';
  display: inline-block;
  border: 5px solid transparent;
  position: absolute;
}

.gl-tooltip.top-left:before {
  left: 15px;
  bottom: -10px;
  border-top-color: #666;
}

.gl-tooltip.top:before {
  left: 50%;
  bottom: -10px;
  border-top-color: #666;
  margin-left: -5px;
}

.gl-tooltip.top-right:before {
  right: 15px;
  bottom: -10px;
  border-top-color: #666;
}

.gl-tooltip.left:before {
  right: -10px;
  top: 50%;
  border-left-color: #666;
  margin-top: -5px;
}

.gl-tooltip.right:before {
  left: -10px;
  top: 50%;
  border-right-color: #666;
  margin-top: -5px;
}

.gl-tooltip.bottom-left:before {
  left: 15px;
  top: -10px;
  border-bottom-color: #666;
}

.gl-tooltip.bottom:before {
  left: 50%;
  top: -10px;
  border-bottom-color: #666;
  margin-left: -5px;
}

.gl-tooltip.bottom-right:before {
  right: 15px;
  top: -10px;
  border-bottom-color: #666;
}

@keyframes gl-tooltip {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.gl-tooltip-demo{ width: 350px; margin-left: 100px; text-align: center; }
.gl-tooltip-demo span{ display: inline-block; vertical-align: middle; width: 55px; height: 30px; line-height: 30px; text-align: center; background: #f7f7f7; border: 1px solid #dddee1; border-radius: 3px; cursor: pointer; transition: all .5s; }
.gl-tooltip-demo span:hover{ background: #fff; border-color: #36a1d3; }
.center{ padding: 40px 0; overflow: hidden; }
/*.center span{ float: left; }
.center span:nth-child(2){ float: right; }*/
.gl-tooltip-demo .icon{ width: 20px; height: 20px; line-height: 20px; text-align: center; font-style: normal; background: #ddd; display: inline-block; border-radius: 50%; cursor: pointer }
/**/
.gl-tooltip.align{background: #f60}
.gl-tooltip.align:before{ left: 7px;border-top-color: #f60 }